#ifndef BOT_EXPORTS_H
#define BOT_EXPORTS_H

int EXPORT BOTEXP_GetVisionDistance(float angle, int range);
int EXPORT BOTEXP_GetVisionDistanceWithPitch(float angle, float pitch, int range);
int EXPORT BOTEXP_GetVisionSweepDistance(float angle, int range, int sweep, int interval);
int EXPORT BOTEXP_GetLeftDistance(int range);
int EXPORT BOTEXP_GetRightDistance(int range);
int EXPORT BOTEXP_GetCenterDistance(int range);
float EXPORT BOTEXP_YawToPlayer(int playerNum);
float EXPORT BOTEXP_PitchToPlayer(int playerNum);
int EXPORT BOTEXP_DistanceToPlayer(int playerNum);
bool EXPORT BOTEXP_IsPlayerVisible(int playerNum);
int EXPORT BOTEXP_GetHealth();
float EXPORT BOTEXP_GetYaw();
float EXPORT BOTEXP_GetPitch();
int EXPORT BOTEXP_NearestVisEnemyNum();
bool EXPORT BOTEXP_IsMoving();
void EXPORT BOTEXP_DebugSignal(const char *);
float EXPORT BOTEXP_YawToWaypoint(int waypointIndex);
int EXPORT BOTEXP_DistanceToWaypoint(int waypointIndex);
int EXPORT BOTEXP_NearestWaypoint();
float EXPORT BOTEXP_YawToInfopoint(int infopointIndex, int type);
int EXPORT BOTEXP_DistanceToInfopoint(int infopointIndex, int type);
int EXPORT BOTEXP_NearestInfopoint(int type);
int EXPORT BOTEXP_NextIPToExpire(int type);
int EXPORT BOTEXP_AmmoInClip();
int EXPORT BOTEXP_NearestVisEnemyNum();
float EXPORT BOTEXP_YawToEnemySound();
int EXPORT BOTEXP_DistanceToEnemySound();
int EXPORT BOTEXP_NearestItem(int itemType);
float EXPORT BOTEXP_YawToItem(int itemType, int index);
int EXPORT BOTEXP_DistanceToItem(int itemType, int index);
float EXPORT BOTEXP_PitchToItem(int itemType, int index);
bool EXPORT BOTEXP_CanGetItem(int itemType, int index);
int EXPORT BOTEXP_GetX();
int EXPORT BOTEXP_GetY();
int EXPORT BOTEXP_GetZ();
int EXPORT BOTEXP_GetCurrentWeapon();
bool EXPORT BOTEXP_IsFriend(int player_index);
float EXPORT BOTEXP_PitchToInfopoint(int infopointType, int index);
float EXPORT BOTEXP_PitchToWaypoint(int index);
bool EXPORT BOTEXP_GetPossessesGun(int gunID);
int EXPORT BOTEXP_PrimaryAmmoInStock(int gunID);
int EXPORT BOTEXP_SecondaryAmmoInStock(int gunID);
bool EXPORT BOTEXP_OnLadder();
int EXPORT BOTEXP_StatKills();
int EXPORT BOTEXP_StatFriendlyKills();
int EXPORT BOTEXP_StatDeaths();
int EXPORT BOTEXP_StatSuicides();
float EXPORT BOTEXP_StatPercentTimeMoving();
int EXPORT BOTEXP_PlayerNum();
int EXPORT BOTEXP_CommsGetInt(int player_id, int box);
float EXPORT BOTEXP_CommsGetFloat(int player_id, int box);
bool EXPORT BOTEXP_CommsGetBool(int player_id, int box);
#endif