#ifndef CHASE_CAM_H
#define CHASE_CAM_H

#define CHASECAM_DIST 100

class CChaseCam : public CBaseEntity
{
public:
	CBasePlayer *m_pPlayer;
	CBasePlayer *m_pTarget;
	bool bCanSwitchTarget;		// can the camera switch targets?
	bool bCanSwitchTargetPrev;	// can the camera go to previous?

	static CChaseCam *Create( CBasePlayer * pPlayer, CBasePlayer * pTarget );
	void Spawn( void );
	void Disconnect( void );
	void ViewNextPlayer();
	void ViewPreviousPlayer();
	void ChangeViewToPlayer(CBasePlayer * pTarget);

	void EXPORT IdleThink( void );
};

#endif  // CHASE_CAM_H

