#ifndef BOT_MESSENGER_H
#define BOT_MESSENGER_H


#include <vector>
#include <queue>

class CBotMessage
{
public:
	CBotMessage (int fromPlayer, int toPlayer, char * msgText, char * msgArg);
	int msgToPlayer;
	int msgFromPlayer;
	char msgText[100];
	char msgArg[400];
};


class CBotMessenger
{
public:
	void PostBotMessage (CBotMessage * message);
	CBotMessage * GetBotMessage (int playerNum);
	std::vector<CBotMessage *> mailboxes;
};

#endif // BOT_MESSENGER_H