#include "extdll.h" 
#include "util.h"
#include "cbase.h"
#include "bot.h"

#include "BotSurroundings.h"

BotSurroundingItems::BotSurroundingItems()
{
	numItems = 0;
}

void BotSurroundingItems::AddItem(CBaseEntity * newItem)
{
	//items.push_back(newItem);
	char item_name[40];
	strcpy(item_name, STRING(newItem->pev->classname));
	// Don't add it if the array is already full! (out of bounds)
	if (numItems >= MAX_INVENTORY_SIZE)
		return;
	
	items[numItems] = newItem;
	pEdicts[numItems] = newItem->edict();
	if(strcmp("func_ladder", item_name) == 0)
		origins[numItems] = VecBModelOrigin(newItem->pev);
	else
		origins[numItems] = newItem->pev->origin;
	numItems++;
}

void BotSurroundingItems::PrintItems()
{
	printf("SURROUNDING ITEMS:\n");
	for (int i = 0; i < numItems; i++)
	{
		char itemMsg[100];
		sprintf(itemMsg, "  %s\n", STRING(items[i]->pev->classname));
		printf(itemMsg);
	}
}

void BotSurroundingItems::ClearInventory()
{
	//items.erase(items.begin(), items.end());
	numItems = 0;
}