#ifndef FREE_CAM_H
#define FREE_CAM_H

#define CHASECAM_DIST 100

class CFreeCam : public CBaseEntity
{
public:
	CBasePlayer *m_pPlayer;
	float height;
	CBasePlayer *m_pTarget;
	bool bCanSwitchTarget;		// can the camera switch targets?
	bool bCanSwitchTargetPrev;	// can the camera go to previous?

	static CFreeCam *Create( CBasePlayer * pPlayer);//, CBasePlayer * pTarget );
	void Spawn( void );
	void Disconnect( void );

	void ViewNextPlayer();
	void ViewPreviousPlayer();
	void ChangeViewToPlayer(CBasePlayer * pTarget);

	void EXPORT IdleThink( void );
};

#endif  // FREE_CAM_H

